Subject: bug#50096: args-out-of-range in redisplay_internal

From: Juri Linkov <[email-masked]>
Date: Thu, 19 Aug 2021 10:17:22 +0300

>> > It's 100% reproducible for me, but I'm not sure how easy would be
>> > to create a test case for "emacs -Q".
>> 
>> I'd appreciate if you could try.
>
> Or at least show how you arrange for auto-hscroll in the mini-window.

Fortunately, finally I found the shortest test case 100% reproducible
in 'emacs -Q'.  The line '(set-buffer (get-buffer-create "*test*"))'
is not necessary, it just causes a slightly different error.
Without 'set-buffer', the error is: (args-out-of-range 1737)
With 'set-buffer', the error is: (args-out-of-range 1737 1737)
Just eval in 'emacs -Q':

(let ((message-truncate-lines t))
  (set-buffer (get-buffer-create "*test*"))